<!DOCTYPE html>
<html>
<head>
 <title> Sketch Book </title>
  <style>
   body{
		background-image: url("1.png"); }

   .tools {width:30px; height:40px; margin-left:30px; position:absolute;}

   .tools:active{border:2px solid transparent;}

	#Random {background-color:transparent; margin-top:150px;}
	#eraser {background-color:transparent; margin-top:250px;}

    
    .pallet{ width:30px; height:30px; margin-left:20px; border: 3px dashed black; border-radius:30%;}
    .pallet:hover{ width:30px;height:30px; border: 3px solid black; }
    .pallet:active{ border: 3px solid white;}
	
	#red{background-color:rgb(255,20,43); margin-top:350px;}	
	#cyan {background-color:rgb(70,120,255); margin-top:390px}
	#green {background-color:rgb(65,255,64); margin-top:430px}
	#yellow {background-color:rgb(245,255,56); margin-top:470px}
 	#purple {background-color:rgb(255,50,250); margin-top:350px; margin-left:65px;}
	#violet {background-color:rgb(200,100,255); margin-top:390px; margin-left:65px;}
	#white {background-color:rgb(255,255,255); margin-top:430px; margin-left:65px;}
	#black {background-color:rgb(80,80,80); margin-top:470px; margin-left:65px;}
    .frame { width:1110px; height:610px;}
	#border {margin-left:130px; margin-top:30px; border: 5px solid rgb(80,80,80); position: absolute;}
  	#box {background-color:black; margin-left:5px; width:1100px; height:600px; margin-top:5px;}	
    
    .pixel {width:22px; height:22px; display:inline-block; transition:0.1s all ease; margin-left:5px;} 

 </style>
</head>

<body>  
	
	<div class="tools" id="Random" onclick='if(randomOrNot == false)
		{randomOrNot=true; } else {randomOrNot=false;}'> <img src= "rain.png" width= 80px;></img>
		</div>	
	<div class="tools" id="eraser"> <img src= "erase.png" width=75px;></img></div>	
	<div class="tools pallet" id="red"></div>	
	<div class="tools pallet" id="cyan"></div>	
	<div class="tools pallet" id="green"></div>	
	<div class="tools pallet" id="yellow"></div>	
	<div class="tools pallet" id="purple"></div>		
	<div class="tools pallet" id="violet"></div>	
	<div class="tools pallet" id="white"></div>	
	<div class="tools pallet" id="black"></div>	
	
	<div class="frame"id="border">
	<div class="frame"id="box">
	<div class="pixel" onmouseover=" this.style.backgroundColor= setBrush();"></div>
	</div>
	</div>
	
</body>

 <script>
        var brush = 'transparent', temp='transparent';
 	var randomOrNot = false;
	function setBrush() 
	{
	 if(randomOrNot) 
		{
        	var x = Math.round(Math.random()*255);
		var y = Math.round(Math.random()*255);
		var z = Math.round(Math.random()*255);
        	temp = 'rgb('+x+','+y+','+z+')';
        	return temp;
		} 
	 else 
		{
		temp = 'transparent';
		return temp;
		}
	}

	for(var i=0; i<879; i++)
	{
		document.getElementById("box").innerHTML += '<div class="pixel" onmouseover= "if(randomOrNot == true) {this.style.backgroundColor= setBrush();} else {this.style.backgroundColor = brush;}"></div>';
	}
	
	document.getElementById('eraser').onclick = function() {brush='transparent'; randomOrNot = false;}
	document.getElementById('red').onclick = function() {brush='rgb(255,20,43)'; randomOrNot = false;}
 	document.getElementById('cyan').onclick = function() {brush='rgb(70,120,255)'; randomOrNot = false;}
	document.getElementById('green').onclick = function() {brush='rgb(65,255,64)'; randomOrNot = false;}
	document.getElementById('yellow').onclick = function() {brush='rgb(245,255,56)'; randomOrNot = false;}
	document.getElementById('purple').onclick = function() {brush='rgb(255,50,250)'; randomOrNot = false;}
	document.getElementById('violet').onclick = function() {brush='rgb(200,100,255)'; randomOrNot = false;} 
	document.getElementById('white').onclick = function() {brush='rgb(255,255,255)'; randomOrNot = false;}
	document.getElementById('black').onclick = function() {brush='rgb(80,80,80)'; randomOrNot = false;}
	
 </script>
</html>



